"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const columnAlignment = require("../../../constants/column-alignment.js");
const runtime = require("../../../utils/vue/props/runtime.js");
const constants = require("./constants.js");
const vue = require("vue");
const descriptionItemProps = runtime.buildProps({
  label: {
    type: String,
    default: ""
  },
  span: {
    type: Number,
    default: 1
  },
  rowspan: {
    type: Number,
    default: 1
  },
  width: {
    type: [String, Number],
    default: ""
  },
  minWidth: {
    type: [String, Number],
    default: ""
  },
  labelWidth: { type: [String, Number] },
  align: {
    type: String,
    values: columnAlignment.columnAlignment,
    default: "left"
  },
  labelAlign: {
    type: String,
    values: columnAlignment.columnAlignment
  },
  className: {
    type: String,
    default: ""
  },
  labelClassName: {
    type: String,
    default: ""
  }
});
const DescriptionItem = vue.defineComponent({
  name: constants.COMPONENT_NAME,
  props: descriptionItemProps
});
exports.default = DescriptionItem;
exports.descriptionItemProps = descriptionItemProps;
